// LKSamplePrintDlg.h : header file
//

#if !defined(AFX_LKSAMPLEPRINTDLG_H__6FAC3D7A_608A_4215_98E7_4018A24CDA5C__INCLUDED_)
#define AFX_LKSAMPLEPRINTDLG_H__6FAC3D7A_608A_4215_98E7_4018A24CDA5C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CLKSamplePrintDlg dialog

class CLKSamplePrintDlg : public CDialog
{
// Construction
public:
	CLKSamplePrintDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CLKSamplePrintDlg)
	enum { IDD = IDD_LKSAMPLEPRINT_DIALOG };
	CString	m_strIP;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLKSamplePrintDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLKSamplePrintDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonOpen();
	afx_msg void OnButtonClose();
	afx_msg void OnPrinttext();
	afx_msg void OnPrintBitmap();
	afx_msg void OnPrintbarcode();
	afx_msg void OnPrintsample();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LKSAMPLEPRINTDLG_H__6FAC3D7A_608A_4215_98E7_4018A24CDA5C__INCLUDED_)
